Subject: bug#34952: files with/out final newline look the same no matter what

From: "Basil L. Contovounesios" <[email-masked]>
Date: Fri, 07 Aug 2020 22:54:56 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> Oh, yeah, that makes sense.  I'll fix that.
>
> Actually, I don't know how.  How do you ask, when you're in the
> font-lock machinery, what the original point was?  Like here:
>
>        ,@(when (memq 'missing-newline-at-eof whitespace-active-style)
>            ;; Show missing newline.
>            `(("[^\n]\\'" 0 (if .... something) t)))))

Isn't it possible to just copy what whitespace-trailing-regexp is doing?
I.e. use a function instead of a regexp?  (I don't think the regexp
construct \= would help much here.)

> By the way, have I whined about how difficult debugging font-lock stuff
> is?  I can't put a `debug' in there, for instance, to examine the
> calling sequence, which would probably tell me what I need to know.

Would font-lock-studio help?  (I haven't tried it.)
https://github.com/Lindydancer/font-lock-studio

Thanks,

-- 
Basil